/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/Hmac
 *   - http://www.freeformatter.com/hmac-generator.html
 ******************************************************************************/

#include "CryptoLib.h"

//  Message: MikroElektronika
//      Key: secret
// HMAC-MD5: 4e81e03bd77d9aa646552eb6ac02770a

void main() {
   uint8_t msg[] = "MikroElektronika";
   uint8_t key[] = "secret";
   md5_hash_t hmac;

   HMAC_MD5(hmac, key, strlen(key), msg, strlen(msg));

}