/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/Hmac
 *   - http://www.freeformatter.com/hmac-generator.html
 ******************************************************************************/

#include "CryptoLib.h"

//   Message: MikroElektronika
//       Key: secret
// HMAC-SHA1: 83a65cff707d44e731025cf961d4541be3d2eeca

void main() {
   uint8_t msg[] = "MikroElektronika";
   uint8_t key[] = "secret";
   sha1_hash_t hmac;

   HMAC_SHA1(hmac, key, strlen(key), msg, strlen(msg));

}