/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/RC4
 *
 * Test vectors:
 *   - https://www.cosic.esat.kuleuven.be/nessie/testvectors/sc/arcfour/Rc4-arcfour-128.verified.test-vectors
 *   - http://tools.ietf.org/html/rfc6229
 *
 ******************************************************************************/

#include "CryptoLib.h"

uint8_t key[] = {0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
uint8_t ks[64];

void main() {
   uint8_t i = 0;
   rc4_t state;
   RC4_Init(key, sizeof(key), &state);

   while (i < 64)
      ks[i++] = RC4_Byte(&state);
   
}