/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/XTEA
 *
 * Test vectors:
 *   - http://www.cix.co.uk/~klockstone/teavect.htm
 *
 ******************************************************************************/
 
#include "stdint.h"

void main() {
   uint8_t block[8] = {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
   uint8_t key[16]  = {0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                       0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

   XTEA_Init(key, 20);

   XTEA_Enc(block);
   XTEA_Dec(block);
}