/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/Hmac
 *   - http://www.freeformatter.com/hmac-generator.html
 ******************************************************************************/

#include "CryptoLib.h"

//     Message: MikroElektronika
//         Key: secret
// HMAC-SHA256: 8b418fb2627f21f96e5d81f059b0abbfd45331f4e5bab1ab99a64e1a1f3dcc24

void main() {
   uint8_t msg[] = "MikroElektronika";
   uint8_t key[] = "secret";
   sha256_hash_t hmac;

   HMAC_SHA256(hmac, key, strlen(key), msg, strlen(msg));
}