/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/Skipjack_%28cipher%29
 *   - http://csrc.nist.gov/groups/ST/toolkit/documents/skipjack/skipjack.pdf
 *
 * Test vectors:
 *   - https://www.cosic.esat.kuleuven.be/nessie/testvectors/bc/skipjack/Skipjack-80-64.unverified.test-vectors
 *
 ******************************************************************************/

#include "stdint.h"

void main() {
   uint8_t block[] = {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
   uint8_t key[] =   {0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
   
   Skipjack_Enc(block, key);
   Skipjack_Dec(block, key);
   
}