/*******************************************************************************
 * References:
 *   - http://en.wikipedia.org/wiki/Tiny_Encryption_Algorithm
 *
 * Test vectors:
 *   - http://www.cix.co.uk/~klockstone/teavect.htm
 *
 ******************************************************************************/

#include "stdint.h"

void main() {
   uint8_t block[8] = {0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};
   uint8_t key[16]  = {0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                       0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00};

   TEA_Enc(block, key);
   TEA_Dec(block, key);
}